Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Don't support platforms bundler doesn't know about

This is an alternate solution to #872 that should prevent folks from
running into #876.
  • Loading branch information...
commit 088f6b97a4c95936795bd68dd57ef60dcbd12519 1 parent 1e2905f
@mikldt mikldt authored
Showing with 4 additions and 3 deletions.
  1. +4 −3 Gemfile
View
7 Gemfile
@@ -1,8 +1,7 @@
# Edit this Gemfile to bundle your application's dependencies.
-source 'https://rubygems.org'
+source 'http://rubygems.org'
gem "rails", "~> 3.2.15"
-gem "bundler", ">= 1.5.0"
# Get the absolute path of this Gemfile so the includes below still work
# when the current directory for a bundler command isn't the application's
@@ -79,7 +78,9 @@ gem 'strong_parameters'
gem 'kaminari', '0.14.1' # Pagination
# Enable the newsfeed for 1.9+ users.
-gem 'public_activity', :platforms => [:ruby_19, :ruby_20, :ruby_21]
+pa_platforms = [:ruby_19, :ruby_20, :ruby_21]
+pa_platforms &= Bundler::Dependency::PLATFORM_MAP.keys
+gem 'public_activity', :platforms => pa_platforms
gem 'redcarpet', '~> 2.3.0'
gem 'docsplit' # for graphics and pdf, ppt conversion
Please sign in to comment.
Something went wrong with that request. Please try again.